| Home | Libraries | People | FAQ | More

## Function template gather

boost::compute::gather

## Synopsis

    // In header: <boost/compute/algorithm/gather.hpp>

    template<typename InputIterator, typename MapIterator,
             typename OutputIterator>
      void gather(MapIterator first, MapIterator last, InputIterator input,
                  OutputIterator result,
                  command_queue & queue = system::default_queue());

## Description

Copies the elements using the indices from the range [`first`, `last`) to the range beginning at `result` using the input values from the range beginning at `input`.

See Also:

scatter()